package com.hwrj.cloud.admin.mapper;

import com.hwrj.cloud.admin.model.UmsCompanyInfo;
import com.hwrj.cloud.admin.model.UmsCompanyInfoExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;


public interface UmsCompanyInfoMapper {
    long countByExample(UmsCompanyInfoExample example);

    int deleteByExample(UmsCompanyInfoExample example);

    int deleteByPrimaryKey(Long id);

    int insert(UmsCompanyInfo record);

    int insertSelective(UmsCompanyInfo record);

    List<UmsCompanyInfo> selectByExampleWithBLOBs(UmsCompanyInfoExample example);

    List<UmsCompanyInfo> selectByExample(UmsCompanyInfoExample example);

    UmsCompanyInfo selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") UmsCompanyInfo record, @Param("example") UmsCompanyInfoExample example);

    int updateByExampleWithBLOBs(@Param("record") UmsCompanyInfo record, @Param("example") UmsCompanyInfoExample example);

    int updateByExample(@Param("record") UmsCompanyInfo record, @Param("example") UmsCompanyInfoExample example);

    int updateByPrimaryKeySelective(UmsCompanyInfo record);

    int updateByPrimaryKeyWithBLOBs(UmsCompanyInfo record);

    int updateByPrimaryKey(UmsCompanyInfo record);
}